Bug 739216

Summary: matahari-broker install error on F15
Product: [Fedora] Fedora Reporter: Dave Johnson <dajohnso>
Component: matahariAssignee: Zane Bitter <zbitter>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: adam.stokes, andrew, dpierce, imain, matahari-maint, nsantos, rbryant, roy.arjun
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 20:22:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dave Johnson 2011-09-16 20:26:15 UTC
Description of problem:

  Installing : matahari-broker-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                               23/24 
Non-fatal POSTIN scriptlet failure in rpm package matahari-broker-0.4.5-0.1.59d1fe1.git.fc15.x86_64
led to issue method call: Unit matahari-broker.service failed to load: No such file or directory. See system logs and 'systemctl status matahari-broker.service' for details.
warning: %post(matahari-broker-0.4.5-0.1.59d1fe1.git.fc15.x86_64) scriptlet failed, exit status 1

Comment 2 Russell Bryant 2011-09-16 20:41:54 UTC
Zane, can you take a look at this one?

Comment 3 Zane Bitter 2011-09-19 16:39:49 UTC
I can't reproduce this at the moment. Was this a clean install or an upgrade?

Could you please run 'systemctl status matahari-broker.service' and post the output here, along with anything relevant from the system log.

Comment 4 Dave Johnson 2011-09-20 03:13:29 UTC
fresh beaker install of F15 then matahari install


=====================================================================================================================================================================================================
 Package                                         Arch                               Version                                                  Repository                                         Size
=====================================================================================================================================================================================================
Installing:
 matahari                                        x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            14 k
Installing for dependencies:
 dmidecode                                       x86_64                             1:2.11-4.fc15                                            fedora                                             71 k
 kstart                                          x86_64                             3.16-1.fc15                                              fedora                                             46 k
 matahari-agent-lib                              x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            40 k
 matahari-broker                                 x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            20 k
 matahari-consoles                               x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            33 k
 matahari-host                                   x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            41 k
 matahari-lib                                    x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            39 k
 matahari-network                                x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            34 k
 matahari-service                                x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            50 k
 matahari-sysconfig                              x86_64                             0.4.5-0.1.59d1fe1.git.fc15                               updates                                            30 k
 qpid-cpp-client-ssl                             x86_64                             0.10-4.fc15                                              fedora-aeolus-testing                             101 k
 qpid-cpp-server-ssl                             x86_64                             0.10-4.fc15                                              fedora-aeolus-testing                              49 k
 sigar                                           x86_64                             1.6.5-0.3.git58097d9.fc15                                updates                                            66 k

Transaction Summary
=====================================================================================================================================================================================================
Install      14 Package(s)

Total download size: 632 k
Installed size: 1.6 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates/prestodelta                                                                                                                                                           | 795 kB     00:01     
Processing delta metadata
Package(s) data still to download: 632 k
(1/14): dmidecode-2.11-4.fc15.x86_64.rpm                                                                                                                                      |  71 kB     00:00     
(2/14): kstart-3.16-1.fc15.x86_64.rpm                                                                                                                                         |  46 kB     00:00     
(3/14): matahari-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                                        |  14 kB     00:00     
(4/14): matahari-agent-lib-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                              |  40 kB     00:00     
(5/14): matahari-broker-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                                 |  20 kB     00:00     
(6/14): matahari-consoles-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                               |  33 kB     00:00     
(7/14): matahari-host-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                                   |  41 kB     00:00     
(8/14): matahari-lib-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                                    |  39 kB     00:00     
(9/14): matahari-network-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                                |  34 kB     00:00     
(10/14): matahari-service-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                               |  50 kB     00:00     
(11/14): matahari-sysconfig-0.4.5-0.1.59d1fe1.git.fc15.x86_64.rpm                                                                                                             |  30 kB     00:00     
(12/14): qpid-cpp-client-ssl-0.10-4.fc15.x86_64.rpm                                                                                                                           | 101 kB     00:00     
(13/14): qpid-cpp-server-ssl-0.10-4.fc15.x86_64.rpm                                                                                                                           |  49 kB     00:00     
(14/14): sigar-1.6.5-0.3.git58097d9.fc15.x86_64.rpm                                                                                                                           |  66 kB     00:00     
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                131 kB/s | 632 kB     00:04     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : sigar-1.6.5-0.3.git58097d9.fc15.x86_64                                                                                                                                           1/14 
  Installing : matahari-lib-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                                   2/14 
  Installing : qpid-cpp-client-ssl-0.10-4.fc15.x86_64                                                                                                                                           3/14 
  Installing : qpid-cpp-server-ssl-0.10-4.fc15.x86_64                                                                                                                                           4/14 
  Installing : kstart-3.16-1.fc15.x86_64                                                                                                                                                        5/14 
  Installing : matahari-agent-lib-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                             6/14 
  Installing : matahari-network-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                               7/14 
Redirecting to /bin/systemctl  condrestart matahari-network.service
  Installing : matahari-service-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                               8/14 
  Installing : matahari-sysconfig-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                             9/14 
e
  Installing : matahari-consoles-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                             10/14 
  Installing : 1:dmidecode-2.11-4.fc15.x86_64                                                                                                                                                  11/14 
  Installing : matahari-host-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                                 12/14 
  Installing : matahari-broker-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                               13/14 
Non-fatal POSTIN scriptlet failure in rpm package matahari-broker-0.4.5-0.1.59d1fe1.git.fc15.x86_64
led to issue method call: Unit matahari-broker.service failed to load: No such file or directory. See system logs and 'systemctl status matahari-broker.service' for details.
warning: %post(matahari-broker-0.4.5-0.1.59d1fe1.git.fc15.x86_64) scriptlet failed, exit status 1
  Installing : matahari-0.4.5-0.1.59d1fe1.git.fc15.x86_64                                                                                                                                      14/14 

Installed:
  matahari.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15                                                                                                                                                       

Dependency Installed:
  dmidecode.x86_64 1:2.11-4.fc15                                   kstart.x86_64 0:3.16-1.fc15                                     matahari-agent-lib.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15          
  matahari-broker.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15              matahari-consoles.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15           matahari-host.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15               
  matahari-lib.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15                 matahari-network.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15            matahari-service.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15            
  matahari-sysconfig.x86_64 0:0.4.5-0.1.59d1fe1.git.fc15           qpid-cpp-client-ssl.x86_64 0:0.10-4.fc15                        qpid-cpp-server-ssl.x86_64 0:0.10-4.fc15                        
  sigar.x86_64 0:1.6.5-0.3.git58097d9.fc15                        

Complete!



[root@hp-z600-01 ~]# systemctl status matahari-broker.service
matahari-broker.service
	  Loaded: error
	  Active: inactive (dead)
[root@hp-z600-01 ~]#

Comment 6 Fedora Admin XMLRPC Client 2012-01-11 08:35:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora End Of Life 2012-08-07 20:22:59 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping